# $Revision: 1.12 $, $Date: 2004/05/07 00:32:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	Exporter
%define	pnam	Lite
Summary:	Exporter::Lite - lightweight exporting of variables
Summary(pl):	Exporter::Lite - lekkie eksportowanie zmiennych
Name:		perl-Exporter-Lite
Version:	0.01
Release:	2
# contains "same as perl" modules for tests
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e45c93513ecb22e183748592069bdaf8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an alternative to Exporter intended to provide a lightweight
subset of its functionality.  It supports import(), @EXPORT and
@EXPORT_OK and not a whole lot else.

Unlike Exporter, it is not necessary to inherit from Exporter::Lite
(ie. no @ISA = qw(Exporter::Lite) mantra).  Exporter::Lite simply
exports its import() function.  This might be called a "mix-in".

%description -l pl
Ten modu jest alternatyw dla Exportera majc udostpni lekki
podzbir jego funkcjonalnoci. Obsuguje import(), @EXPORT oraz
@EXPORT_OK i niewiele wicej.

W przeciwiestwie do Exportera, nie trzeba dziedziczy z
Exporter::Lite (czyli wykonywa mantry @ISA = qw(Exporter::Lite)).
Exporter::Lite po prostu eksportuje swoj funkcj import(). Mona
to nazwa "miksowaniem".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Exporter-Lite.spec,v $
Revision 1.12  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.11  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.9  2004/01/29 16:45:38  migo
- new bcond style

Revision 1.8  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.7  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/11 12:41:30  ankry
- cosmetic

Revision 1.2  2003/03/03 23:26:35  qboosh
- pl description

Revision 1.1  2003/03/02 13:35:24  radek
- new
